import logging
from logging import handlers

logger = logging.getLogger("discord")
logger.setLevel(logging.DEBUG)
handler = handlers.RotatingFileHandler(
    filename="test.log",
    encoding="utf-8",
    mode="a",
    maxBytes=6 * 1024 * 1024,
    backupCount=6,
)
formatter = logging.Formatter("%(asctime)s - %(name)s - %(levelname)s - %(message)s")
handler.setFormatter(formatter)
logger.addHandler(handler)


logger2 = logging.getLogger("discord")
for item in logger2.handlers:
    print(item)
